From 30691bdb98566482e1c29ee440cfc8531fac2616 Mon Sep 17 00:00:00 2001
From: Kai-Uwe Behrmann <ku.b@gmx.de>
Date: Thu, 22 Dec 2016 13:02:05 +0100
Subject: [PATCH] fix some compiler warnings about string macro usage

---
 src/modules/devices/sy_devices.cpp   | 12 ++++++------
 src/modules/information/sy_info.cpp  |  4 ++--
 src/modules/settings/sy_settings.cpp |  2 +-
 3 files changed, 9 insertions(+), 9 deletions(-)

diff --git a/src/modules/devices/sy_devices.cpp b/src/modules/devices/sy_devices.cpp
index b477fd7..f60c4a2 100644
--- a/src/modules/devices/sy_devices.cpp
+++ b/src/modules/devices/sy_devices.cpp
@@ -146,10 +146,10 @@ int syDeviceGetProfile( oyConfig_s * device, uint32_t icc_profile_flags, oyProfi
 {
     oyOptions_s * options = 0;
     oyOptions_SetFromText( &options,
-                     "//"OY_TYPE_STD"/config/command",
+                     "//" OY_TYPE_STD "/config/command",
                            "list", OY_CREATE_NEW );
     oyOptions_SetFromText( &options,
-                     "//"OY_TYPE_STD"/config/icc_profile.x_color_region_target",
+                     "//" OY_TYPE_STD "/config/icc_profile.x_color_region_target",
                            "yes", OY_CREATE_NEW );
     oyOptions_SetFromInt( &options, "///icc_profile_flags", icc_profile_flags, 0, OY_CREATE_NEW );
     int error = oyDeviceAskProfile2( device, options, profile );
@@ -595,7 +595,7 @@ int SyDevicesModule::installTaxiProfile(oyConfig_s * device)
                             "//" OY_TYPE_STD "/icc_profile_flags",
                             icc_profile_flags, 0, OY_CREATE_NEW );
       oyOptions_SetFromText( &options,
-+                            "//"OY_TYPE_STD"/config/skip_ask_for_profile",
++                            "//" OY_TYPE_STD "/config/skip_ask_for_profile",
                              "yes", OY_CREATE_NEW );
       error = oyDeviceSetup(device, options);
       oyOptions_Release( &options );
@@ -803,7 +803,7 @@ void SyDevicesModule::populateDeviceListing()
     char ** texts = 0;
 
     // get all configuration filters
-    oyConfigDomainList( "//"OY_TYPE_STD"/device/config.icc_profile",
+    oyConfigDomainList( "//" OY_TYPE_STD "/device/config.icc_profile",
                         &texts, &count, &rank_list ,0 );
 
     for (i = 0; i < count; i++)
@@ -960,7 +960,7 @@ oyConfig_s * SyDevicesModule::getCurrentDevice( void )
     oyOptions_SetFromText( &options, "//" OY_TYPE_STD "/config/command", 
                            "properties", OY_CREATE_NEW );
     oyOptions_SetFromText( &options,
-                     "//"OY_TYPE_STD"/config/icc_profile.x_color_region_target",
+                     "//" OY_TYPE_STD "/config/icc_profile.x_color_region_target",
                            "yes", OY_CREATE_NEW );
     if(current_device_class && current_device_name)
       error = oyDeviceGet( OY_TYPE_STD, current_device_class, current_device_name,
@@ -1003,7 +1003,7 @@ void SyDevicesModule::assignProfile( QString profile_name, oySCOPE_e scope )
                                "//" OY_TYPE_STD "/icc_profile_flags",
                                icc_profile_flags, 0, OY_CREATE_NEW );
          oyOptions_SetFromText( &options,
-+                               "//"OY_TYPE_STD"/config/skip_ask_for_profile",
++                               "//" OY_TYPE_STD "/config/skip_ask_for_profile",
                                 "yes", OY_CREATE_NEW );
          oyDeviceSetup( device, options ); /* reinitialise */
          oyOptions_Release( &options );
diff --git a/src/modules/information/sy_info.cpp b/src/modules/information/sy_info.cpp
index 9d194cf..3b4909c 100644
--- a/src/modules/information/sy_info.cpp
+++ b/src/modules/information/sy_info.cpp
@@ -231,7 +231,7 @@ void SyInfoModule::populateDeviceProfiles( QTreeWidgetItem * deviceListTree )
     oyConfDomain_s * d = 0;
 
     // get all configuration filters
-    oyConfigDomainList( "//"OY_TYPE_STD"/device/config.icc_profile",
+    oyConfigDomainList( "//" OY_TYPE_STD "/device/config.icc_profile",
                         &texts, &count, &rank_list ,0 );
 
     for(i = count - 1; i >= 0; --i)
@@ -266,7 +266,7 @@ void SyInfoModule::populateDeviceProfiles( QTreeWidgetItem * deviceListTree )
         oyConfig_s * device = oyConfigs_Get( devices, j );
         char * device_info = 0;
         oyOptions_s * options = 0;
-        oyOptions_SetFromText( &options, "//"OY_TYPE_STD"/config/icc_profile.x_color_region_target",
+        oyOptions_SetFromText( &options, "//" OY_TYPE_STD "/config/icc_profile.x_color_region_target",
                                          "yes", OY_CREATE_NEW );
         oyOptions_SetFromInt( &options, "///icc_profile_flags", icc_profile_flags, 0, OY_CREATE_NEW );
 
diff --git a/src/modules/settings/sy_settings.cpp b/src/modules/settings/sy_settings.cpp
index a1c54ee..3f74c1d 100644
--- a/src/modules/settings/sy_settings.cpp
+++ b/src/modules/settings/sy_settings.cpp
@@ -213,7 +213,7 @@ void SySendNativeUpdate(const char * func)
 {
     // e.g. send native (e.g. X11) reload event
     oyOptions_s * opts = oyOptions_New(NULL), * results = 0;
-    int error = oyOptions_Handle( "//"OY_TYPE_STD"/send_native_update_event",
+    int error = oyOptions_Handle( "//" OY_TYPE_STD "/send_native_update_event",
                       opts,"send_native_update_event",
                       &results );
     oyOptions_Release( &opts );
